# $Revision: 1.22 $, $Date: 2004/05/23 23:24:24 $
#
# Conditional build:
%bcond_without	tests	# don't perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Scalar
%define		pnam	List-Utils
Summary:	List::Util and Scalar::Util - selection of general-utility scalar subroutines
Summary(pl):	List::Util i Scalar::Util - wybr procedur skalarnych oglnego zastosowania
Name:		perl-Scalar-List-Utils
Version:	1.14
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	64f5c079fe9be0fff55c1365dd7eec96
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains a selection of subroutines that people have
expressed would be nice to have in the perl core, but the usage would
not really be high enough to warrant the use of a keyword, and the size
so small such that being individual extensions would be wasteful.

%description -l pl
Ten pakiet zawiera wybrane procedury, ktre wedug niektrych ludzi
powinny znale si w gwnym pakiecie Perla, ale uyteczno nie jest
zbyt dua, a rozmiar za may na tworzenie oddzielnych rozszerze.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL -xs \
	INSTALLDIRS=vendor
%{__make} \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Change* README
%dir %{perl_vendorarch}/List
%{perl_vendorarch}/List/*.pm
%dir %{perl_vendorarch}/Scalar
%{perl_vendorarch}/Scalar/*.pm
%dir %{perl_vendorarch}/auto/List
%dir %{perl_vendorarch}/auto/List/Util
%attr(755,root,root) %{perl_vendorarch}/auto/List/Util/*.so
%{perl_vendorarch}/auto/List/Util/*.bs
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Scalar-List-Utils.spec,v $
Revision 1.22  2004/05/23 23:24:24  adamg
- updated to 1.14

Revision 1.21  2004/05/06 18:43:22  ankry
- fixed perl-devel BR

Revision 1.20  2004/05/02 08:28:25  ankry
- license fixed, cosmetics

Revision 1.19  2004/04/15 20:30:23  ankry
- cosmetics, unification

Revision 1.18  2003/11/01 00:25:59  qboosh
- added tests

Revision 1.17  2003/09/29 17:52:35  adamg
- updated to 1.13

Revision 1.16  2003/09/18 13:21:09  adamg
- updated to 1.12

Revision 1.15  2003/08/18 08:09:11  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.14  2003/05/28 13:01:00  malekith
- massive attack: source-md5

Revision 1.13  2003/05/25 06:24:57  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.12  2003/04/11 18:59:26  radek
- BR: perl-devel; do not BR: perl

Revision 1.11  2003/03/01 20:46:09  radek
- should be ready for perl-5.8.0; release++

Revision 1.10  2003/02/28 10:08:30  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.9  2003/02/24 20:31:57  radek
- use the __perl macro

Revision 1.8  2003/02/19 22:42:38  ankry
- autoupdated to 1.11

Revision 1.7  2003/02/18 15:38:03  ankry
- massive attack: change CPAN URLs

Revision 1.6  2003/01/15 18:30:48  mis
- autoupdated to 1.09

Revision 1.5  2002/11/28 18:11:05  mis
- autoupdated to 1.08

Revision 1.4  2002/07/24 00:23:18  ankry
- added dirs: %%{perl_sitearch}/List, %%{perl_sitearch}/Scalar and
  %%{perl_sitearch}/auto/List
- release 2

Revision 1.3  2002/07/23 11:00:12  qboosh
- added Date, pl description and OPTIMIZE

Revision 1.2  2002/07/23 01:34:57  radek
- it's not noarch...

Revision 1.1  2002/07/21 23:13:24  radek
- new, STBR
